function Pop=initPop(Np,d,Xl,Xu)
% Syntax: Pop = initPop(Np, d, Xl, Xu)
% This function performs the initialization step of IDEMO.
% Input - 
%   Np: Scalar value defining no. of candidate solution in a population
%   d: Scalar value for the dimension of each encoded candidate vector 
%       (total number of decision variables)
%   Xl: Row vector defining the lower bound of each decision variable
%   Xu: Row vector defining the upper bound of each decision variable
% Output - 
%   Pop: Parent population for the first generation (matrix order Np x d)

Pop=zeros(Np,d); % Matrix initialization
for i=1:Np
    for j=1:d
        Pop(i,j)=Xl(j)+rand(1)*(Xu(j)-Xl(j));
    end
end
end